import java.io.PrintStream;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;
import java.util.stream.Collectors;

public final class c_gk_wa_equal {
    private final Scanner in;
    private final PrintStream out;

    private static final int MAX_P = (int) Math.sqrt(1e9);
    private static final List<Integer> PRIMES = new ArrayList<>();

    static {
        PRIMES.add(2);
        outer: for (int i = 3; i <= MAX_P; i += 2) {
            for (final int p : PRIMES) {
                if (i % p == 0) {
                    continue outer;
                }
            }
            PRIMES.add(i);
        }
    }

    private c_gk_wa_equal(final Scanner in, final PrintStream out) {
        this.in = in;
        this.out = out;
    }

    public static void main(final String[] args) {
        final Scanner in = new Scanner(System.in, StandardCharsets.UTF_8);
        while (in.hasNext()) {
            new c_gk_wa_equal(in, System.out).solve();
        }
    }

    private void solve() {
        final int n = in.nextInt();
        final int l = in.nextInt();
        final int r = in.nextInt();
        final List<Integer> nDivisors = divisors(n);
        final List<Integer> answer = new ArrayList<>();
        for (int i = l; i <= r; i++) {
            final List<Integer> iDivisors = divisors(i);
            int common = 0;
            for (int np = 0, ip = 0; np < nDivisors.size() && ip < iDivisors.size(); ) {
                final int nd = nDivisors.get(np);
                final int id = iDivisors.get(ip);
                if (nd == id) {
                    common++;
                    np++;
                    ip++;
                } else if (nd < id) {
                    np++;
                } else {
                    ip++;
                }
            }
            if (common < 2) {
                answer.add(i);
            }
        }
        out.println(answer.size());
        out.println(answer.stream().map(String::valueOf).collect(Collectors.joining(" ")));
    }

    private static List<Integer> divisors(final int i) {
        final List<Integer> divs = new ArrayList<>();
        int rest = i;
        for (final int p : PRIMES) {
            while (rest % p == 0) {
                divs.add(p);
                rest /= p;
            }
        }
        return divs;
    }

    private void out(final int k, final String line) {
        for (int j = 0; j < k; j++) {
            out.println(line);
        }
    }
}
