import sys
import math

curtest = 1

def test(a, k):
    global curtest
    global was
    f = open("%02d" % curtest, "w")
    print(len(a), k, file=f)
    print(*a, file=f)
    f.close()
    print(len(a), k)
    curtest += 1

import random
random.seed("iwfsh")

test([1, 2, 3, 4, 5], 2)

def randtest(n, maxa, k):
    a = [0] * n
    for i in range(n):
        a[i] = random.randint(1, maxa)
    test(a, k)

def divs(x):
    r = []
    a = 1
    while a * a <= x:
        if x % a == 0:
            r.append(a)
            if a != x // a:
                r.append(x // a)
        a += 1
    return r

def genperiodic(n, maxa, mink, maxk, p):
    a = [0] * n
    while True:
        for i in range(p):
            a[i] = random.randint(1, maxa)
        s = sum(a[:i])
        sdiv = divs(s)
        goodDivs = False
        for sd in sdiv:
            if mink <= sd <= maxk:
                goodDivs = True
                break
        if not goodDivs:
            continue
        while True:
            k = sdiv[random.randint(0, len(sdiv) - 1)]
            if mink <= k <= maxk:
                break
        break

    for i in range(p, n):
        a[i] = a[i - p]
    return (a, k)

def randperiodic(n, maxa, mink, maxk, p):
    a, k = genperiodic(n, maxa, mink, maxk, p)
    test(a, k)

def randalmostperiodic(n, maxa, mink, maxk, p, repl, swap):
    a, k = genperiodic(n, maxa, mink, maxk, p)
    for i in range(repl):
        j = random.randint(0, n - 1)
        a[j] = random.randint(1, maxa)

    for i in range(swap):
        j1 = random.randint(0, n - 1)
        j2 = random.randint(0, n - 1)
        a[j1], a[j2] = a[j2], a[j1]

    test(a, k)


# subtask 1: n <= 500, a[i] <= 1000
print(curtest)
test([1] * 500, 3)
test([1] * 500, 2)
test([1000] * 500, 2)
test([1000] * 500, 1000)
test([1000] * 500, 100000)
test([1000] * 500, 10**9)
a = [i for i in range(1, 501)]
test(a, 2)
test(a, 3)
test(a, sum(a))
for i in range(2):
    randtest(500, 1000, random.randint(1, 1000))
    randtest(500, 1000, random.randint(1, 10**9))
    randperiodic(500, 1000, 2, 10**9, random.randint(5, 10))
    randalmostperiodic(500, 1000, 2, 10**9, random.randint(5, 10), random.randint(0, 10), random.randint(0, 10))

# subtask 2: n <= 5000, a[i] <= 5000
print(curtest)
test([1] * 5000, 3)
test([1] * 5000, 2)
test([5000] * 5000, 2)
test([5000] * 5000, 5000)
test([5000] * 5000, 5000*5000)
test([5000] * 5000, 10**9)
a = [i for i in range(1, 5001)]
test(a, 2)
test(a, 3)
test(a, sum(a))
for i in range(2):
    randtest(5000, 5000, random.randint(2, 5000))
    randtest(5000, 5000, random.randint(2, 10**9))
    randperiodic(5000, 5000, 2, 10**9, random.randint(5, 10))
    randalmostperiodic(5000, 5000, 2, 10**9, random.randint(5, 10), random.randint(0, 10), random.randint(0, 10))

# subtask 3: n <= 200000, k = 2
print(curtest)
test([1] * 200000, 2)
test([10**9] * 200000, 2)
a = [i for i in range(1, 200001)]
test(a, 2)
for i in range(2):
    randtest(200000, 10**9, 2)
    randperiodic(200000, 10**9, 2, 2, random.randint(5, 100))
    randalmostperiodic(200000, 10**9, 2, 2, random.randint(5, 100), random.randint(0, 100), random.randint(0, 100))

# subtask 4: n <= 200000, k <= 10**6
print(curtest)
for i in range(3):
    randtest(200000, 10**9, random.randint(2, 10**6))
    randperiodic(200000, 10**9, 10**5, 10**6, random.randint(5, 100))
    randalmostperiodic(200000, 10**9, 10**5, 10**6, random.randint(5, 100), random.randint(0, 100), random.randint(0, 100))

# subtask 5: n <= 200000, k <= 10**9
print(curtest)
for i in range(3):
    randtest(200000, 10**9, random.randint(10**8, 10**9))
    randperiodic(200000, 10**9, 10**8, 10**9, random.randint(5, 100))
    randalmostperiodic(200000, 10**9, 10**8, 10**9, random.randint(5, 100), random.randint(0, 100), random.randint(0, 100))
